Bug 147611 - autofs queries for all entries in even large automountmaps.
autofs queries for all entries in even large automountmaps.
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: autofs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2005-02-09 14:55 EST by Don Felix
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-08 15:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
LDAP access log extract showing problem query. (936 bytes, text/plain)
2005-02-09 14:57 EST, Don Felix
no flags Details

  None (edit)
Description Don Felix 2005-02-09 14:55:22 EST
Description of problem:
Our ldap servers are being overwhelmed by queries from the Linux 
automounter (nearly all RH of some version from 7.2 to Enterprize 3.0)
for all entries in certain maps.  Our auto.home is the main problem - 
it has over 3000 entries and these are all getting served up every 
second or so with the result that the LDAP servers are experiencing 
extremely high load and slow response.  

Now I'm unable to distinguish for certain if the requests come every 
time somone logs in, in which case this would be a bug whereby the 
wrong query is being generated. (IE, the automounter should ask for 
just the one entry with filter of "(&(objectclass=nisObject)
(cn=<USER>))" rather than just "(&(objectclass=nisObject))" as it 
appears in our access logs.  The frequency of the requests along with 
the & in the existing queries makes me suspect this is the case.

If on the other hand these queries are generated at the timeout 
interval and the automount is reloading the map, then I would say 
that if "nobrowse" is set, the automounter should not try to get all 
the map information but should just query for entries 'on demand' 
(ie, query for a specific entry when that directory is accessed.  I 
realize there are client-side performance advantages to getting the 
whole map and maintaining a hash table, but if there is not someway 
to tell the automounter not to load the entire map, then it will 
never scale to an enterprise level. 

Version-Release number of selected component (if applicable):
for certain:
(don't know about other versions.)

How reproducible:
every time.

Steps to Reproduce:
1.Just set up the machine as a native LDAP client - it will happen.
Actual results:
As described.  LDAP Servers spending all their time shovelling out 
3000+ entries.

Expected results:
Should be query for 1 entry when a given directory is accessed, at 
least for 'nobrowse' maps.  

Additional info:
Comment 1 Don Felix 2005-02-09 14:57:34 EST
Created attachment 110889 [details]
LDAP access log extract showing problem query.
Comment 2 Jeffrey Moyer 2005-02-11 14:28:15 EST
Thanks for the bug report.  We'll work to get this into the upcoming update
Comment 4 Jeffrey Moyer 2006-05-09 10:58:15 EDT
The code looks to be doing the right thing, so I would need some debug logs from
the automounter to make progress on this.

Unfortunately, AS2.1 is no longer being updated (except for security fixes). 
Can you reproduce this problem with RHEL 3 or RHEL 4?  They both run the same
version of the automounter, so reproducing on either OS will suffice.

Comment 5 Jeffrey Moyer 2006-08-08 15:44:18 EDT
I'ver heard no resonse on this.  I'm closing the bug.  Please refile against
RHEL 4 if you run into the problem there.

Note You need to log in before you can comment on or make changes to this bug.